
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define rel 4
%define	release	%mkrel %rel

%define name	blop
%define version 0.2.8

Summary:      Bandlimited LADSPA Oscillator Plugins
Name:         %{name}
Version:      %{version}
Release:      %{release}
Copyright:    GPL
Group:        Sound
Source:       blop-%{version}.tar.bz2
Patch0:       blop-0.2.7-compile.patch.bz2
BuildRoot:    %{_tmppath}/%{name}-buildroot
Requires:     ladspa >= 1.1.2
BuildRequires: ladspa-devel >= 1.1.2

%description
BLOP comprises a set of LADSPA plugins that generate bandlimited
sawtooth, square, variable pulse and slope-variable triangle waves,
for use in LADSPA hosts, principally for use with one of the many
modular software synthesisers available.

They are wavetable based, and are designed to produce output with
harmonic content as high as possible over a wide pitch range.

%prep
%setup
#%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ladspa
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf
make DESTDIR="$RPM_BUILD_ROOT" install
# install the rdf description
install -m0644 doc/blop.rdf $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf
# we don't want to package makefiles in the doc
rm -f doc/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README THANKS TODO doc/*
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so
%{_libdir}/ladspa/blop_files/*.so
%{_datadir}/ladspa/rdf/*.rdf
%{_datadir}/locale/*

%changelog
* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.8-4
- Rebuild for pclos2007

* Tue Apr 12 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.8-1.pclo2005.thac
- Rebuilt for PCLinuxOs 2005

* Thu Oct 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.8-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Mon Sep 06 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.8-1thac
- Updated to latest version

* Thu Apr 29 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.7-1thac
- Rebuilt for mandrake 10.0

* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- added release tags
* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- updated to 0.2.7
* Fri Feb 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.6
- initial build
